Installera program

Vissa saker återkommer ständigt så jag tänkte förklara lite hur jag "alltid" gör, så kanske jag inte behöver beskriva det "igen och igen". ;-)

För att se om jag redan har programmet (paketen) installerade använder jag Slacked.
Jag installerar dom program (paket) som finns i "officiella" Slackware med Swaret.
"Icke officiella" program letar jag efter först och främst på http://www.linuxpackages.net/

(linuxpackages.net ligger nere, men eftersom grafiken nedan är knuten till den sidan gör jag ingen ändring.
http://pkgs.org/ är såvitt jag förstår en liknande sida även om jag sällan använder den och hellre skulle rekommendera http://slackbuilds.org/./le)

Hittar jag inga "paket" använder jag mig av Källkod

Jag laddar alltid ned som vanlig användare till en katalog, ex.v. program, i min hemkatalog. "Slackpaket" (.tgz) installerar jag med att ställa mig i "nedladdningskatalogen" ($cd /home/hakan/program), bli "root" med kommandot $su som frågar efter "password", lösenordet alltså, och använda #installpkg "paketnamn" (utan ""-ar).


Sök efter paket!

http://www.linuxpackages.net/, jag söker efter programmet Kino.

Skriv kino och any i sökrutan..



..jag väljer den senaste 0.7.3 och klickar på "Details"..



..i höger ruta kan jag då ladda ner (Download)..men titta även på "View Contents"..



..för där syns alla "beroenden"..som jag markerar, kopierar "nånstans" och fixar till i "bokstavsordning"..


PACKAGE REQUIRED: 
atk >= 1.6.1-i486-1,
gcc >= 3.3.4-i486-1,
gcc-g++ >= 3.3.4-i486-1,
gconf >= 2.6.2-i486-1,
glib >= 1.2.10-i386-2,
gnome-vfs >= 2.6.1.1-i486-2,
gtk+2 >= 2.4.3-i486-1,
libart_lgpl >= 2.3.16-i486-1,
libavc1394 >= 0.4.1-i486-1,
libbonobo >= 2.6.2-i486-1,
libbonoboui >= 2.6.1-i486-1,
libdv >= 0.103-i686-1jlp,
libglade >= 2.4.0-i486-1,
libgnome >= 2.6.1.1-i486-2,
libgnomecanvas >= 2.6.1.1-i486-1,
libgnomeui >= 2.6.1.1-i486-1,
libraw1394 >= 0.10.1-i486-1,
libsamplerate >= 0.1.1-i686-1jto,
libxml2 >= 2.6.9-i486-1,
orbit2 >= 2.10.2-i486-1,
pango >= 1.4.0-i486-1,
x11 >= 6.7.0-i486-4

..så blir det enklare att använda Slacked..

..för att kolla vilka paket jag redan har.

Valid XHTML 1.0!